%global srcname suds

Name:          python-suds2
Version:       1.1.1
Release:       1
Summary:       A python SOAP client
License:       LGPLv3+
URL:           https://github.com/suds-community/suds
Source0:       https://github.com/suds-community/suds/archive/v%{version}/%{srcname}-%{version}.tar.gz
BuildArch:     noarch
Provides:      python-suds = %{version}-%{release}
Obsoletes:     python-suds < %{version}-%{release}

%description
"Suds" is a lightweight SOAP-based web service client
for Python licensed under LGPL.

%package -n python3-suds2
%{?python_provide:%python_provide python3-suds2}
Summary:       A python SOAP client
BuildRequires: python3-devel python3-pytest python3-six
Provides:      python3-suds = %{version}-%{release} python3-suds-community = %{version}-%{release}
Obsoletes:     python3-suds < %{version}-%{release}

%description -n python3-suds2
"Suds" is a lightweight SOAP-based web service client
for Python licensed under LGPL.

%prep
%autosetup -n %{srcname}-%{version} -p1

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-suds2
%license LICENSE.txt
%{python3_sitelib}/*

%changelog
* Tue Oct 25 2022 yaoxin <yaoxin30@h-partners.com> - 1.1.1-1
- Upgrade to version 1.1.1

* Wed Jan 12 2022 Chengshaowei <chenshaowei3@huawei.com> - 1.0.0-1
- update to v 1.0.0

* Fri Jan 08 2021 maminjie <maminjie1@huawei.com> - 0.7.0-5
- update source and port to pytest4

* Wed Jul  8 2020 zhanghua <zhanghua40@huawei.com> - 0.7-4
- change Name to python-suds2 and remove Subpackage python2-suds

* Wed Jun 24 2020 wutao <wutao61@huawei.com> - 0.7-3
- Fix transport test error

* Sun Mar 22 2020 sunguoshuai <sunguoshuai@huawei.com> - 0.7-2
- Fix http test error.

* Thu Feb 13 2020 Ruijun Ge <geruijun@huawei.com> - 0.7-1
- init package
